For the complete documentation index, see llms.txt.

Shipments
POST/api/orders/shipments

Print Labels

Print shipping labels for given orders. The labels field returned in the response is a base64 encoded string that you can simply use to decode and save the output as a PDF file.

View as MarkdownCopy for LLM

Shipments

Print labels, batch labels, clone shipments, replace shipments, and work with shipment documents.

7 related endpoints

Endpoint

Endpoint URL

https://api.starshipit.com/api/orders/shipments

Details

Print shipping labels for given orders. The labels field returned in the response is a base64 encoded string that you can simply use to decode and save the output as a PDF file.

Attribute Type Description
order_ids integer list List of unique numeric identifier for the order
reprint boolean Returns labels previously generated for the printed order
Attribute Type Description
labels object list List of label files printed (Label Model)
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)
Attribute Type Description
label_type string Type of label name
label_base64_string string base64 string which can be converted to PDF files for printing

Request body

{
  "order_ids": [
    1020304051,
    1020324318,
    1020356475,
    1020363915,
    1020365786
  ],
  "reprint": false
}

Response examples

Print Labels
{
  "labels": [
    {
      "label_type": "AusPost",
      "label_base64_string": "JVBERi0xLjQKJeLjz9M .......... lwZS9JbWFnZS9Xa"
    }
  ],
  "success": true
}

Related endpoints